<?php
/**
 * Generatess the Google Maps marker that will be used for each point in the selected color.
 * This will override the old marker.
 *
 * @param string color of the generated marker in the 'RRGGBB' hexadecimal format
 *
 * @return void
 */
function generate_marker($route_color)
{
	$image = imagecreate(11,11);
	
	list($r, $g, $b) = sscanf($route_color, '%02x%02x%02x');
	$background = imagecolorallocatealpha($image, 0, 0, 0, 127);
	$white = imagecolorallocatealpha($image, 255, 255, 255, 0);
	$color = imagecolorallocatealpha($image, $r, $g, $b, 0);

	imagefilledellipse($image, 5, 5, 11, 11, $white);
	imagefilledellipse($image, 5, 5, 7, 7, $color);

	imagepng($image, 'plugins/TravelMap/images/marker.png');
	
	
	$image = imagecreate(11,11);
	
	list($r, $g, $b) = sscanf($route_color, '%02x%02x%02x');
	$background = imagecolorallocatealpha($image, 0, 0, 0, 127);
	$white = imagecolorallocatealpha($image, 255, 255, 255, 0);
	$color = imagecolorallocatealpha($image, $r, $g, $b, 0);

	imagefilledellipse($image, 5, 5, 11, 11, $color);
	imagefilledellipse($image, 5, 5, 7, 7, $white);

	imagepng($image, 'plugins/TravelMap/images/markerSelected.png');
}

/**
 * Generates the section title that will be used for Travel map page (and others depending on configuration).
 *
 * @param string travel map page title
 * @param string categories page title
 *
 * @return string whole title with links
 */
function get_travelmap_section_title($travelmap_title, $categories_title)
{
	global $conf;
	$make_homepage = (isset($conf['TravelMap']) ? $conf['TravelMap']['make_homepage'] : false);
	
	return '<a href="' . ($conf['TravelMap']['make_homepage'] ? get_gallery_home_url() : make_index_url(array('section' => 'travelmap'))) . '">' . $travelmap_title . '</a> - '
		. '<a href="' . ($conf['TravelMap']['make_homepage'] ? make_index_url(array('section' => 'categories')) : get_gallery_home_url()) . '">' . $categories_title . '</a>';
}
?>